//
// "$Id: VncGroup.h,v 1.3 2004/09/23 08:37:35 dooglio2 Exp $"
//
// Overrides the draw() method in order to allow drawing of
// the VNC session thumbnail.
//
// Inherits from the Fl_Group class.
//

/* Copyright (c) 2003 R. Douglas Barbieri
 *
 * This file is part of VncSelector.
 *
 * VncSelector  is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * VncSelector  is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with VncSelector ; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __VNCGROUP_H__
#define __VNCGROUP_H__

#include <FL/x.h>
#include <FL/Fl_Group.H>

// STL
//
#include <memory>

// FLTK
//
#include <FL/Fl_Pixmap.H>

#include "VncImage.h"

class VncGroup :
  public Fl_Group
{
private:
	std::auto_ptr<VncImage>		m_thumbnail_image;
	std::auto_ptr<Fl_Pixmap>	m_defaultIcon;
	std::auto_ptr<Fl_Image>		m_sizedIcon;

protected:
	void draw();

public:
	VncGroup(int X, int Y, int W, int H, const char *l = 0);
	virtual ~VncGroup();

	void ReplaceThumbnail( XImage* image );
	void ClearThumbnail();
	void Redraw();
};

#endif  //__VNCGROUP_H__

/* $Log
 *
 */
