//
// "$Id: VncImage.h,v 1.2 2004/09/20 06:37:38 dooglio2 Exp $"
//
//	Allows encapsulation of an X display and image.
//

/* Copyright (c) 2003 R. Douglas Barbieri
 *
 * This file is part of VncSelector.
 *
 * VncSelector  is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * VncSelector  is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with VncSelector ; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __VNCIMAGE_H__
#define __VNCIMAGE_H__

#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/Xatom.h>

#include <string>

/*class VncDisplay
{
	private:
		std::string	m_displayName;
		Display*		m_display;
 
		// Prevent default copy and construction
		//
		VncDisplay( const VncDisplay& );
		void operator =( const VncDisplay& );
 
		// Private operations
		//
		void OpenDisplay()
		{
			m_display = XOpenDisplay( m_display_name );
#ifdef DEBUG
    printf( "Display Name: %s, instance: %p\n",
				m_display_name.c_str(), m_display );
#endif
		}
 
		void CloseDisplay()
		{
			if( m_display )
			{
				XCloseDisplay( m_display );
			}
		}
 
  public:
		VncDisplay() :
			m_display(NULL)
		{
		}
 
		VncDisplay( const char* display_name ) :
			m_displayName( display_name ),
			m_display( NULL )
		{
			OpenDisplay();
		}
 
		~VncDisplay()
		{
			CloseDisplay();
		}
 
		Display*		XDisplay() 			{ return m_display; 		}
		std::string	DisplayName() 	{ return m_displayName; }
 
		void	XDisplay( Display* display )
		{
			CloseDisplay();
			m_displayName = display;
		}
 
		void	DisplayName( const char * display_name )
		{
			m_displayName = display_name;
			OpenDisplay();
		}
 
		Display*	ReleaseDisplay()
		{
			Display*	retval = m_display;
			m_display = NULL;
 
			return retval;
		}
};*/


struct VncRect
{
    int	x,y,w,h;

    VncRect() : x(0), y(0), w(0), h(0)
    {}
    VncRect( const int x, const int y, const int w, const int h ) :
            x(x), y(y), w(w), h(h)
    {}
}
;


class VncImage
{
private:
    XImage*		m_image;

    VncImage( const VncImage& );
    void operator =( const VncImage& );

public:
    VncImage();
    ~VncImage();

    void		GetImage( Display* display, XID window = 0 );

    void		PutImage( Display* display, XID window, const VncRect& rect );
    void		PutImage( Display* display, const VncRect& rect )
    {
        PutImage( display, 0, rect );
    }

    void		ScaleImage( Display* display, const int new_width, const int new_height );

    XImage*		Image()
    {
        return m_image;
    }
    void		Image( XImage* image );
    XImage*		Release();
    XImage*		Copy();
};

#endif  //__VNCIMAGE_H__

/* $Log
 *
 */
