/*******************************************************************************
 * VncOptions.h
 *
 * For now, a "poor man's" configuration file. Eventually want to get this
 * stuff from a true config file.
 *
 * $Id: VncOptions.h,v 1.1.1.1 2004/09/19 20:11:40 dooglio2 Exp $
 *
 ********************************************************************************/

/* Copyright (c) 2003 R. Douglas Barbieri
 *
 * This file is part of VncSelector.
 *
 * VncSelector  is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * VncSelector  is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with VncSelector ; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __VNCOPTIONS_H__
#define __VNCOPTIONS_H__

#include <string>
#include <map>

//using namespace std;

class VncOptions
{
  private:
    typedef std::string             string;
    typedef std::map<string,string> stringMap;

    stringMap m_options;
    string    m_optionFilePath;

  public:
    VncOptions( const string& optionsFilePath ) :
      m_optionFilePath(optionsFilePath)
    {
    }

    virtual ~VncOptions()
    {
    }
    
    const bool GetOption( const string& name, string& value );
    const bool CreateDefaultOptions();
    const bool LoadOptions();
};

#endif //__VNCOPTIONS_H__

/*
 * $Log: VncOptions.h,v $
 * Revision 1.1.1.1  2004/09/19 20:11:40  dooglio2
 * Adding for the first time.
 *
 * Revision 1.1.1.1  2004/09/15 09:43:44  doug
 * Adding version 2 with autoconf support.
 *
 * Revision 1.1.1.1  2004/09/15 09:06:24  doug
 * This is VncSelector 2, with configure support.
 *
 * Revision 1.6  2004/02/07 21:16:03  doug
 * Added config file support.
 *
 * Revision 1.5  2004/02/01 07:36:07  doug
 * Work in progress
 *
 * Revision 1.4  2004/02/01 04:43:36  doug
 * Work in progress
 *
 * Revision 1.3  2004/01/13 09:12:06  doug
 * Fixed dollar log problem.
 *
 *
 * Revision 1.2  2004/01/13 09:11:18  doug
 * Added comments and GPL text.
 *
 */
