/*******************************************************************************
 * VncSelectorMain.h
 *
 * Provides main().
 *
 * $Id: VncSelectorMain.cxx,v 1.1.1.1 2004/09/19 20:11:40 dooglio2 Exp $
 *
 ********************************************************************************/

/* Copyright (c) 2003 R. Douglas Barbieri
 *
 * This file is part of VncSelector.
 *
 * VncSelector  is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * VncSelector  is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with VncSelector ; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
#include <stdio.h>
#include <stdlib.h>
#include <FL/Fl.H>
#include <string>

#include "VncSelector.h"

int main(int argc, char ** argv)
{
	int status = 0;

	try
	{
		// Create the one-and-only instance of the VncSelector class
		//
		VncSelector *window = VncSelector::Instance();
		window->show( argc, argv );
			
		// Run the application
		//
		status = Fl::run();

		delete window;
	}
	catch( std::string& err )
	{
		fprintf( stderr, "Caught exception: %s\n", err.c_str() );
		status = 1;
	}

  return status;
}

/*
 * $Log: VncSelectorMain.cxx,v $
 * Revision 1.1.1.1  2004/09/19 20:11:40  dooglio2
 * Adding for the first time.
 *
 * Revision 1.1.1.1  2004/09/15 09:43:45  doug
 * Adding version 2 with autoconf support.
 *
 * Revision 1.1.1.1  2004/09/15 09:06:24  doug
 * This is VncSelector 2, with configure support.
 *
 * Revision 1.8  2004/02/07 21:16:03  doug
 * Added config file support.
 *
 * Revision 1.7  2004/01/06 19:27:58  doug
 * Thumbnail support is more stable (but still needs a redesign).
 * Retabbed all code to "expandtab."
 * VncThread is now back to being a template (seems to work better).
 *
 * Revision 1.6  2004/01/03 02:47:37  doug
 * Added thumbnailing support which seems to work correctly.
 *
 * Revision 1.5  2004/01/03 01:55:43  doug
 * Added crude thumbnail support. Work in progress.
 *
 * Revision 1.4  2003/12/17 20:54:49  doug
 * Work in progress...
 *
 * Revision 1.3  2003/12/16 22:25:06  doug
 * Adding wait dlg at main.
 *
 * Revision 1.2  2003/12/11 21:15:10  doug
 * Added lots of comments and the GPL header to each file.
 *
 */
