#include <stdio.h>
#include <FL/x.H>

#include "common.h"

namespace VncCommon
{

// Center the main window
// Necessary since the idea is to run this thing without
// a window manager.
//
void CenterWindow( Fl_Window* mainWindow )
{
  const int display_width  = DisplayWidth( fl_display, 0 );
  const int display_height = DisplayHeight( fl_display, 0 );
  const int width          = mainWindow->w();
  const int height         = mainWindow->h();
  mainWindow->position( (display_width/2) - (width/2),
      (display_height/2) - (height/2) );
}


// Strips spaces from the beginning and end of a string
//
std::string Strip( const std::string& str )
{
  std::string newstr;

  int first_nonspace = 0;
  
  // Look for the first non-space
  //
  for( ; first_nonspace < str.length(); first_nonspace++ )
  {
    if( !isspace(str[first_nonspace]) )
    {
      break;
    }
  }


  int last_nonspace = str.length()-1;

  for( ; last_nonspace >= 0; last_nonspace-- )
  {
    if( !isspace(str[last_nonspace]) )
    {
      break;
    }
  }

  // Add the non-space to the new string
  //
  newstr = str.substr( first_nonspace, last_nonspace-first_nonspace+1 );

  return newstr;
}

}
// end namespace VncCommon
